require_relative '../model/config'
require_relative '../utils'
require_relative 'generator'
require 'fileutils'

module Locraft
  class ConstantsGenerator < Generator
    include FileUtils

    def write_file_content(file, content)
      File.open(file, 'w+') do |f|
        f.puts files_header + "\n"
        f.puts content
      end
    end

    def files_name
      @config.dev_prefix + @config.macro_file
    end

    def constants_keys_with(localizations)
      localizations.select(&:valid?).map do |l|
        { key: l.key, const: constant_from(l.key) }
      end
    end

    def constant_from(_key)
      raise NotImplementedError
    end

    def files_header
      Utils.resource_file('macro_files_header.txt')
    end
  end
end
