require_relative 'strings_generator'

module Locraft
  class InfoPlistGenerator < StringsGenerator
    def valid?
      !@config.relative_plist_destination.nil?
    end

    def destination_dir_for(_, lang_code)
      "#{@config.relative_plist_destination}/#{lang_code}.lproj"
    end

    def valid_localization?(l)
      l.valid? && l.key =~ /^(NS|CF).*/
    end

    def strings_file
      @config.info_plist_file
    end

    def broadcast_file_generation(f)
      puts "info plist strings file generated: [#{f}]"
    end
  end
end
