require_relative 'strings_generator'

module Locraft
  class XMLStringsGenerator < StringsGenerator
    def file_template
      Utils.resource_file('xml_strings_template.txt')
    end

    def destination_dir_for(lang, lang_code)
      comp = @config.default_lang == lang ? 'values' : "values-#{lang_code}"
      "#{@config.relative_strings_destination}/#{comp}"
    end

    def strings_line_with(localization)
      xml_value = localization.strict_value.gsub('%@', '%s')
      xml_value.gsub!("'", "\\\\'")
      xml_value.gsub!('&', '&amp;')
      %(<string name="#{localization.key}">#{xml_value}</string>\n)
    end

    def broadcast_file_generation(f)
      puts "xml strings file generated: [#{f}]"
    end
  end
end
