module Locraft
  class Localization
    attr_accessor :language
    attr_accessor :comment
    attr_accessor :key
    attr_accessor :value

    def self.load_with_csv_row(row, config, lang)
      localization = Localization.new
      localization.language = lang
      localization.comment = row[config.gdoc_comments_column]&.strip
      localization.value = (row[lang] || row[config.default_lang])&.strip
      key = (row[config.gdoc_keys_column] || row[config.default_lang])&.strip
      localization.key = config.keys_map[key] || key
      localization
    end

    def valid?
      !(key.nil? or value.nil?)
    end

    def strict_value
      value.gsub("\n", "\\n")
    end
  end
end
