require_relative 'initializer'
require_relative 'extractor'
require 'thor'

module Locraft
  class Runner < Thor
    desc 'init', 'create sample locraft.config'
    def init
      Initializer.init
    end

    desc 'extract', 'extract strings from google drive and parse them into {.strings, .plist} files. Then create constants'
    option :config, default: Initializer.initialized_config, aliases: '-c', type: :string, desc: 'configuration file'
    def extract
      config_file = options[:config]
      if File.file? config_file
        extractor = Extractor.new(options[:config])
        extractor.extract
      else
        warn %(Error: there is no such a file "#{config_file}".)
      end
    end
  end
end
